Hello,
I am new to linux, so please be gentle with me. I am trying to install gcc 4.2.4 I specifcially need C++ 4.2.4 and gfortran 4.2.4. I successfully installed gcc 4.4.1 through yast. However, the software I am trying to compile will not compile with 4.4.1. After contacting the software support, they inform me that it will only compile with 4.2.4. So, I searched yast with no luck. I have found a .tar.bz2 on the internet. I attempted to configure and then build. I get the following error after running the make command.

configure: error: cannot find neither zip nor jar, cannot continue

I am way beyond my skill level. Please help!